Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 28 Nov 2014, 20:12
All times are UTC - 4
 Forum index » House Training » Bugs ( Submit bugs )
1.0.4 wifi networking notworking
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [8 Posts]  
Author Message
BlackAdder


Joined: 22 May 2005
Posts: 382

PostPosted: Wed 20 Jul 2005, 22:45    Post subject:  1.0.4 wifi networking notworking  

Well, sort of!
On machine 1 (AMD k6-2/350 desktop) 1.0.4 wifi networking is fine with an ATMEL USB-based 802.11b adapter.
On machine 2 (ASUS L8400B Celeron 550MHz notebook) no wireless network with the same adapter. Adapter disconnects after modprobe completes and stays disconnected.

Same adapter and same machines work well on 1.0.1 and 1.0.3.

Also bladehunter's wifi dot pup package no longer works on machine 2 (DWL-650+ PCMCIA adapter) with 1.0.4., ndiswrapper loads but does not acquire the device. Again, works well on previous releases.

Does anyone else have similar problems? Any solutions?
Back to top
View user's profile Send private message 
BlackAdder


Joined: 22 May 2005
Posts: 382

PostPosted: Fri 22 Jul 2005, 02:51    Post subject:  

Found a workaround for the problem of the USB adapter disconnecting.
Issued the commands:
Quote:
#rmmod at76c503-rfmd
#rmmod at76c503
#modprobe at76c503-rfmd

Then went through the iwconfig etc. process. The adapter then stays connected and it works. Others would have to modify the commands depending on which ATMEL-powered adapter they are using.

No real clue why it has to be done that way. It is inelegant but works consistently.
Back to top
View user's profile Send private message 
Guest
Guest


PostPosted: Fri 22 Jul 2005, 04:24    Post subject:  

What version of ndiswrapper does 1.0.4 use ?
Back to top
Guest
Guest


PostPosted: Fri 22 Jul 2005, 04:35    Post subject:  

It reports version 1.1 when loaded.
Back to top
BlackAdder


Joined: 22 May 2005
Posts: 382

PostPosted: Fri 22 Jul 2005, 04:38    Post subject:  

Sorry, that was me. Was not logged in. Embarassed
Back to top
View user's profile Send private message 
Guest
Guest


PostPosted: Fri 22 Jul 2005, 05:09    Post subject:  

mmmmm May have to look into that

was that version 0.11 or 1.1
Back to top
BlackAdder


Joined: 22 May 2005
Posts: 382

PostPosted: Fri 22 Jul 2005, 18:50    Post subject:  

Puppy 1.0.4 reports:
Quote:
ndiswrapper version 1.1 loaded (preempt=no,smp=no)

Puppy 1.0.1 reports:
Quote:
ndiswrapper version 0.11 loaded (preempt=no,smp=no)


ndiswrapper home page shows the latest release to be 1.2, so the jump in version number looks possible.
Back to top
View user's profile Send private message 
Guest
Guest


PostPosted: Fri 22 Jul 2005, 19:26    Post subject:  

Ok the format for the files may have changed..I'll grab the 1.1 code and do a fix up
Back to top
Display posts from previous:   Sort by:   
Page 1 of 1 [8 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Bugs ( Submit bugs )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0482s ][ Queries: 12 (0.0042s) ][ GZIP on ]